<template>
  <table id="blog-list" class="table table-striped">
    <thead>
      <tr>
        <th scope="col">
          id
        </th>
        <th scope="col">
          Title
        </th>
        <th scope="col">
          Type
        </th>
        <th scope="col">
          Status
        </th>
        <th scope="col">
          Location
        </th>
        <th scope="col">
          Pulic date
        </th>
        <th scope="col">
          Edit
        </th>
        <th scope="col">
          Delete
        </th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in data.data" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.title }}</td>
        <td>{{ item.category }}</td>
        <td>{{ item.position }}</td>
        <td>{{ item.public }}</td>
        <td>{{ item.data_pubblic }}</td>
        <td><a href="#" title="Edit" class="btn btn-success btn-sm pl-3 pr-3"><i class="fa fa-pencial" />Edit</a></td>
        <td><a href="#" title="Edit" class="btn btn-danger btn-sm pl-2 pr-2"><i class="fa fa-pencial" />Delete</a></td>
      </tr>
    </tbody>
  </table>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: null
    }
  }
}
</script>
